<?php
/**
*
* @package phpBB3
* @version $Id: alphabet.php 1.0.0 2010-01-28 16:48:22Z FladeX $
* @copyright (c) 2010 FladeX
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('mods/alphabet');

// Start initial var setup
$letter = request_var('first_char', '', true);
$sql_where = '';

if ($letter == 'other')
{
	for ($i = 97; $i < 123; $i++)
	{
		$sql_where .= ' AND topic_title NOT ' . $db->sql_like_expression(chr($i) . $db->any_char);
	}
}
else if ($letter)
{
	$sql_where .= ' AND topic_title ' . $db->sql_like_expression(utf8_strtolower(utf8_substr($letter, 0, 1)) . $db->any_char);
}

// Dump out the page header and load viewforum template
page_header($user->lang['ALPHABET_TITLE'] . ' - ' . $letter);

$sql = 'SELECT *
		FROM ' . FORUMS_TABLE . "
		WHERE alphabet_fx = 1";
$result = $db->sql_query($sql);
while ($row = $db->sql_fetchrow($result))
{
	$sql2 = 'SELECT *
			FROM ' . TOPICS_TABLE . "
			WHERE forum_id = " . $row['forum_id'] . "
			$sql_where";
	$result2 = $db->sql_query($sql2);
	while ($row2 = $db->sql_fetchrow($result2))
	{
		// Permissions check
		if ($auth->acl_gets('f_list', 'f_read', $row['forum_id']))
		{
			$view_topic_url_params = 'f=' . (($row2['forum_id']) ? $row2['forum_id'] : 0) . '&amp;t=' . $row2['topic_id'];
			$view_topic_url = append_sid("{$phpbb_root_path}viewtopic.$phpEx", $view_topic_url_params);
			$template->assign_block_vars('alphabetrow', array(
				'FIRST_POST_TIME'			=> $user->format_date($row2['topic_time']),
				'TOPIC_AUTHOR_FULL'			=> get_username_string('full', $row2['topic_poster'], $row2['topic_first_poster_name'], $row2['topic_first_poster_colour']),
				'TOPIC_TITLE'				=> $row2['topic_title'],
				'TOPIC_POSTER'				=> $row2['topic_poster'],
				'VIEWS'						=> $row2['topic_views'],
				'REPLIES'					=> $row2['topic_replies'],
				'LAST_POST_ID'				=> $row2['topic_last_post_id'],
				'LAST_POST_TIME'			=> $user->format_date($row2['topic_last_post_time']),
				'LAST_POST_AUTHOR_FULL'		=> get_username_string('full', $row2['topic_last_poster_id'], $row2['topic_last_poster_name'], $row2['topic_last_poster_colour']),
				'U_LAST_POST'				=> append_sid("{$phpbb_root_path}viewtopic.$phpEx", $view_topic_url_params . '&amp;p=' . $row2['topic_last_post_id']) . '#p' . $row2['topic_last_post_id'],
				'U_VIEW_TOPIC'				=> $view_topic_url,
			));
		}
	}
	$db->sql_freeresult($result2);
}
$db->sql_freeresult($result);

$template->assign_vars(array(
	'ALPHABET_COPYRIGHT'		=> $user->lang['ALPHABET_COPYRIGHT'],
	'LAST_POST_IMG'				=> $user->img('icon_topic_latest', 'VIEW_LATEST_POST'),
));
$template->set_filenames(array(
	'body' => 'alphabet_body.html')
);


page_footer();

?>