<?php
/**
*
* @author FladeX (Max Istlyaev) fladex@yandex.ru
* @package umil
* @version $Id install_alphabet_fx.php 1.0.0 2010-01-30 06:21:31GMT FladeX $
* @copyright (c) 2010 FladeX
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('mods/alphabet');

if (!file_exists($phpbb_root_path . 'umil/umil.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

// We only allow a founder to install this MOD
if ($user->data['user_type'] != USER_FOUNDER)
{
	if ($user->data['user_id'] == ANONYMOUS)
	{
		login_box('', 'LOGIN');
	}
	trigger_error('NOT_AUTHORISED');
}

if (!class_exists('umil'))
{
	include($phpbb_root_path . 'umil/umil.' . $phpEx);
}

$umil = new umil(true);

$mod = array(
	'name'		=> 'Alphabet FX',
	'version'	=> '1.0.0',
	'config'	=> 'alphabet_fx_version',
	'enable'	=> 'alphabet_fx_enable',
);

if (confirm_box(true))
{
	// Install the base 1.0.0 version
	if (!$umil->config_exists($mod['config']))
	{
		$umil->table_column_add(FORUMS_TABLE, 'alphabet_fx', array('TINT:1', '0'));

		// Our final action, we purge the board cache
		$umil->cache_purge();
	}

	// We are done
	trigger_error('Done!');
}
else
{
	confirm_box(false, 'INSTALL_ALPHABET_FX_MOD');
}

// Shouldn't get here.
redirect($phpbb_root_path . $user->page['page_name']);

?>